<AuthState name="${state.entry}" class="ch.nevis.idm.authstate.IdmUserVerifyState" final="false" resumeState="true">
	<ResultCond name="prospect" next="${state.entry}_selectProfile"/>
	<ResultCond name="clientNotFound" next="${state.failed}"/>
	<ResultCond name="failed" next="${state.failed}"/>
	<Response value="AUTH_ERROR">
		<Gui name="AuthFailDialog"/>
	</Response>
	<propertyRef name="nevisIDM_Connector"/>
	<property name="user.loginid" value="unknown"/>
	<property name="userExtId" value="${sess:operationsExtId}"/>
	<property name="client.name" value="${param.client.name}"/>
	<property name="detaillevel.user" value="HIGH"/>
	<property name="detaillevel.profile" value="HIGH"/>
	<property name="detaillevel.role" value="HIGH"/>
	<property name="detaillevel.authorization" value="HIGH"/>
	<property name="detaillevel.dataroom" value="HIGH"/>
</AuthState>

<AuthState name="${state.entry}_selectProfile" class="ch.nevis.esauth.auth.states.scripting.ScriptState" final="false" resumeState="true">
	<ResultCond name="ok" next="${state.entry}_IdmGetPropertiesState"/>
	<ResultCond name="error" next="${state.failed}"/>
	<Response value="AUTH_CONTINUE">
		<Gui name="op_idmlogin_select_profile">
			<GuiElem name="lasterror" type="error" label="${notes:lasterrorinfo}" value="${notes:lasterror}" optional="true"/>
			<GuiElem name="submit" type="button" label="submit.button.label" value="go"/>
		</Gui>
	</Response>
	<property name="script" value="file:///var/opt/nevisauth/default/conf/selectIdmProfile.groovy"/>
</AuthState>

<AuthState name="${state.entry}_IdmGetPropertiesState" final="false" class="ch.nevis.idm.authstate.IdmGetPropertiesState" resumeState="true">
	<ResultCond name="ok" next="${state.done}"/>
	<ResultCond name="default" next="${state.failed}"/>
	<ResultCond name="clientNotFound" next="${state.failed}"/>
	<ResultCond name="showGui" next="${state.failed}"/>
	<Response value="AUTH_ERROR" />
	<propertyRef name="nevisIDM_Connector"/>
	<!-- Returned Attributes in SecToken -->
	<property name="user.attributes" value="${param.attributes}"/>
	<property name="chooseProfileFromSession" value="operationsProfileExtId"/>
	<property name="userExtId" value="${sess:operationsExtId}"/>
	<property name="client.name" value="${param.client.name}"/>
	<property name="detaillevel.user" value="HIGH"/>
	<property name="detaillevel.profile" value="HIGH"/>
	<property name="detaillevel.role" value="HIGH"/>
	<property name="detaillevel.authorization" value="HIGH"/>
	<property name="detaillevel.dataroom" value="HIGH"/>
</AuthState>
